Athena
Api keysIdIp seen

List observed IPs for a given API key

GET
/admin/api-keys/{id}/ip-seen

Path Parameters

id*string

UUID that identifies an API key or API key right (api_keys_id, api_key_rights_id).

Formatuuid

Query Parameters

limit?integer
Default100
offset?integer
Default0

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Response Body

application/json

curl -X GET "https://athena-cluster.com/admin/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-seen" \  -H "apikey: string"
{
  "data": {
    "records": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "addr": "string",
        "first_seen_at": "2019-08-24T14:15:22Z",
        "last_seen_at": "2019-08-24T14:15:22Z",
        "hit_count": 0,
        "locked_in": true
      }
    ]
  }
}